#107 crash with matrix operations

closed-fixed
5
2014-07-11
2009-06-22
No

With gretl downloaded today from the CVS, and running from Ubuntu Linux 9.04 (In my laptop, a Lenovo x60 thinkpad) I am obtaining a crash in all the matrix commands.

The ouput produced in a text terminal is:

gretl
realgen: exiting on expr() error 19
*** stack smashing detected ***: /opt/gretl/bin/gretl_x11 terminated
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6(__fortify_fail+0x48)[0xb688ada8]
/lib/tls/i686/cmov/libc.so.6(__fortify_fail+0x0)[0xb688ad60]
/opt/gretl/bin/gretl_x11[0x80f15bd]
/opt/gretl/bin/gretl_x11[0x80f1aee]
/opt/gretl/bin/gretl_x11[0x80f3c6e]
/opt/gretl/lib/libgretl-1.0.so.0[0xb79bc24e]
/opt/gretl/lib/libgretl-1.0.so.0[0xb78e2cb8]
/opt/gretl/lib/libgretl-1.0.so.0(gen_save_or_print+0xd70)[0xb78e3a50]
/opt/gretl/lib/libgretl-1.0.so.0(generate+0x4d9)[0xb78ee159]
/opt/gretl/lib/libgretl-1.0.so.0(gretl_cmd_exec+0xc9c)[0xb795778c]
/opt/gretl/bin/gretl_x11[0x80c6a7b]
/opt/gretl/bin/gretl_x11[0x80c8700]
/opt/gretl/bin/gretl_x11[0x80ce7cb]
/opt/gretl/bin/gretl_x11[0x80ceb54]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84)[0xb69c63a4]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0xb69b8c7b]
/usr/lib/libgobject-2.0.so.0[0xb69cee57]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7b9)[0xb69d04b9]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_by_name+0x1a3)[0xb69d07e3]
/usr/lib/libgtk-x11-2.0.so.0[0xb7ec2ee0]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84)[0xb69c63a4]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0xb69b8c7b]
/usr/lib/libgobject-2.0.so.0[0xb69cee57]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7b9)[0xb69d04b9]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0xb69d0936]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_clicked+0x8a)[0xb7d33bda]
/usr/lib/libgtk-x11-2.0.so.0[0xb7d351f8]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84)[0xb69c63a4]
/usr/lib/libgobject-2.0.so.0[0xb69b73d9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0xb69b8c7b]
/usr/lib/libgobject-2.0.so.0[0xb69ce6c0]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7b9)[0xb69d04b9]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0xb69d0936]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_released+0x8a)[0xb7d33c7a]
/usr/lib/libgtk-x11-2.0.so.0[0xb7d33cb3]
/usr/lib/libgtk-x11-2.0.so.0[0xb7dee526]
/usr/lib/libgobject-2.0.so.0[0xb69b73d9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0xb69b8c7b]
/usr/lib/libgobject-2.0.so.0[0xb69ceaff]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x64f)[0xb69d034f]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0xb69d0936]
/usr/lib/libgtk-x11-2.0.so.0[0xb7f092ae]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0xec)[0xb7de6f7c]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x2e7)[0xb7de8327]
/usr/lib/libgdk-x11-2.0.so.0[0xb7c7534a]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8)[0xb6929b88]
/usr/lib/libglib-2.0.so.0[0xb692d0eb]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1ca)[0xb692d5ba]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb9)[0xb7de87d9]
/opt/gretl/bin/gretl_x11[0x80afc6e]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe5)[0xb67a3775]
/opt/gretl/bin/gretl_x11[0x8063f41]
======= Memory map: ========
08048000-08140000 r-xp 00000000 08:06 2130022 /opt/gretl/bin/gretl_x11
08140000-08141000 r--p 000f7000 08:06 2130022 /opt/gretl/bin/gretl_x11
08141000-0814f000 rw-p 000f8000 08:06 2130022 /opt/gretl/bin/gretl_x11
0814f000-08168000 rw-p 0814f000 00:00 0
08aa1000-0924d000 rw-p 08aa1000 00:00 0 [heap]
b5ef2000-b5f3c000 r--p 00000000 08:06 1689841 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-Bold.ttf
b5f3c000-b5f56000 r-xp 00000000 08:06 1590522 /usr/lib/gio/modules/libgvfsdbus.so
b5f56000-b5f57000 r--p 00019000 08:06 1590522 /usr/lib/gio/modules/libgvfsdbus.so
b5f57000-b5f58000 rw-p 0001a000 08:06 1590522 /usr/lib/gio/modules/libgvfsdbus.so
b5f92000-b5fe1000 r--p 00000000 08:06 1689839 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf
b5fe1000-b5ffb000 r--s 00000000 08:06 1630607 /usr/share/mime/mime.cache
b5ffb000-b6031000 r-xp 00000000 08:06 25630 /lib/libdbus-1.so.3.4.0
b6031000-b6032000 r--p 00035000 08:06 25630 /lib/libdbus-1.so.3.4.0
b6032000-b6033000 rw-p 00036000 08:06 25630 /lib/libdbus-1.so.3.4.0
b6033000-b6045000 r-xp 00000000 08:06 1583269 /usr/lib/libgvfscommon.so.0.0.0
b6045000-b6046000 r--p 00012000 08:06 1583269 /usr/lib/libgvfscommon.so.0.0.0
b6046000-b6047000 rw-p 00013000 08:06 1583269 /usr/lib/libgvfscommon.so.0.0.0
b605a000-b605e000 r-xp 00000000 08:06 1598059 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
b605e000-b605f000 r--p 00003000 08:06 1598059 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
b605f000-b6060000 rw-p 00004000 08:06 1598059 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
b6060000-b606f000 r-xp 00000000 08:06 1590521 /usr/lib/gio/modules/libgioremote-volume-monitor.so
b606f000-b6070000 r--p 0000e000 08:06 1590521 /usr/lib/gio/modules/libgioremote-volume-monitor.so
b6070000-b6071000 rw-p 0000f000 08:06 1590521 /usr/lib/gio/modules/libgioremote-volume-monitor.so
b6071000-b60d1000 rw-s 00000000 00:09 45613071 /SYSV00000000 (deleted)
b60d1000-b6169000 r--p 00000000 08:06 1689835 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
b6169000-b616b000 r-xp 00000000 08:06 1073194 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
b616b000-b616c000 r--p 00001000 08:06 1073194 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
b616c000-b616d000 rw-p 00002000 08:06 1073194 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
b616d000-b6173000 r--s 00000000 08:06 1778685 /var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-x86.cache-2
b6173000-b6176000 r--s 00000000 08:06 1778554 /var/cache/fontconfig/e383d7ea5fbe662a33d9b44caf393297-x86.cache-2
b6176000-b6179000 r--s 00000000 08:06 1778694 /var/cache/fontconfig/6eb3985aa4124903f6ff08ba781cd364-x86.cache-2
b6179000-b617a000 r--s 00000000 08:06 1778485 /var/cache/fontconfig/4c73fe0c47614734b17d736dbde7580a-x86.cache-2
b617a000-b617d000 r--s 00000000 08:06 1778557 /var/cache/fontconfig/a755afe4a08bf5b97852ceb7400b47bc-x86.cache-2
b617d000-b6184000 r--s 00000000 08:06 1778553 /var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-x86.cache-2
b6184000-b6187000 r--s 00000000 08:06 1778556 /var/cache/fontconfig/de156ccd2eddbdc19d37a45b8b2aac9c-x86.cache-2
b6187000-b618f000 r--s 00000000 08:06 1778551 /var/cache/fontconfig/e3de0de479f42330eadf588a55fb5bf4-x86.cache-2
b618f000-b619a000 r--s 00000000 08:06 1779237 /var/cache/fontconfig/0f34bcd4b6ee430af32735b75db7f02b-x86.cache-2
b619a000-b619c000 r--s 00000000 08:06 1778486 /var/cache/fontconfig/ddd4086aec35a5275babba44bb759c3c-x86.cache-2
b619c000-b619d000 r--s 00000000 08:06 1778561 /var/cache/fontconfig/4794a0821666d79190d59a36cb4f44b5-x86.cache-2
b619d000-b61bf000 r--s 00000000 08:06 1778560 /var/cache/fontconfig/365b55f210c0a22e9a19e35191240f32-x86.cache-2
b61bf000-b61c2000 r--s 00000000 08:06 1779161 /var/cache/fontconfig/de9486f0b47a4d768a594cb4198cb1c6-x86.cache-2
b61c2000-b61c9000 r--s 00000000 08:06 1778563 /var/cache/fontconfig/d52a8644073d54c13679302ca1180695-x86.cache-2
b61c9000-b61ce000 r--s 00000000 08:06 1778559 /var/cache/fontconfig/105b9c7e6f0a4f82d8c9b6e39c52c6f9-x86.cache-2
b61ce000-b61d4000 r--s 00000000 08:06 1779241 /var/cache/fontconfig/089dead882dea3570ffc31a9898cfb69-x86.cache-2
b61d4000-b61e1000 r--s 00000000 08:06 1778634 /var/cache/fontconfig/e13b20fdb08344e0e664864cc2ede53d-x86.cache-2
b61e1000-b61ef000 r--s 00000000 08:06 1778550 /var/cache/fontconfig/865f88548240fee46819705c6468c165-x86.cache-2
b61ef000-b620f000 r-xp 00000000 08:06 1597450 /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
b620f000-b6210000 r--p 00020000 08:06 1597450 /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
b6210000-b6211000 rw-p 00021000 08:06 1597450 /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
b6211000-b6232000 r--p 00000000 08:06 1764013 /usr/share/locale-langpack/es/LC_MESSAGES/libc.mo
b6232000-b6239000 r-xp 00000000 08:06 1585344 /usr/lib/libltdl.so.7.2.0
b6239000-b623a000 r--p 00006000 08:06 1585344 /usr/lib/libltdl.so.7.2.0
b623a000-b623b000 rw-p 00007000 08:06 1585344 /usr/lib/libltdl.so.7.2.0
b623b000-b6247000 r-xp 00000000 08:06 1582565 /usr/lib/libtdb.so.1.1.3
b6247000-b6248000 r--p 0000b000 08:06 1582565 /usr/lib/libtdb.so.1.1.3
b6248000-b6249000 rw-p 0000c000 08:06 1582565 /usr/lib/libtdb.so.1.1.3
b6249000-b624d000 r-xp 00000000 08:06 1491412 /usr/lib/libogg.so.0.5.3
b624d000-b624e000 r--p 00003000 08:06 1491412 /usr/lib/libogg.so.0.5.3
b624e000-b624f000 rw-p 00004000 08:06 1491412 /usr/lib/libogg.so.0.5.3
b624f000-b626a000 r-xp 00000000 08:06 344107 /usr/lib/libvorbis.so.0.4.0
b626a000-b626b000 r--p 0001a000 08:06 344107 /usr/lib/libvorbis.so.0.4.0
b626b000-b6279000 rw-p 0001b000 08:06 344107 /usr/lib/libvorbis.so.0.4.0
b6279000-b6280000 r-xp 00000000 08:06 344111 /usr/lib/libvorbisfile.so.3.2.0
b6280000-b6281000 r--p 00006000 08:06 344111 /usr/lib/libvorbisfile.so.3.2.0
b6281000-b6282000 rw-p 00007000 08:06 344111 /usr/lib/libvorbisfile.so.3.2.0
b6282000-b628f000 r-xp 00000000 08:06 1582569 /usr/lib/libcanberra.so.0.1.4
b62Cancelado

Discussion

  • Allin Cottrell
    Allin Cottrell
    2009-06-22

    • assigned_to: nobody --> allin
     
  • Allin Cottrell
    Allin Cottrell
    2009-06-22

    Please post a sample script. I'm not able to replicate this problem
    so far.

     
  • Really it happens with all matrix operations. The previous output was obtained with:

    <script>
    nulldata 50
    matrix Z = { 1; 0 }
    </script>

     
  • ... and I just saw that this does not occur in the CLI

     
  • Allin Cottrell
    Allin Cottrell
    2009-06-22

    I have found and fixed some bugs related to GUI
    manipulation of matrices (that is, transforming and
    viewing properties, in some cases). But I can't
    replicate the crash you're describing. Can you try
    a full "configure ; make clean ; make install"?

     
  • I've found and fixed one more thing that might account for what
    you are seeing. Please try current CVS.

     
  • Allin Cottrell
    Allin Cottrell
    2009-06-28

    • status: open --> closed-fixed